'use strict'

const vulns = require('../data/vulns.core.json') // freeze?

class Vulnerability {
  constructor (id) {
    this.id = id
  }

  get source () {
    return `https://github.com/nodejs/security-wg/tree/master/vuln/core/${this.id}.json`
  }

  get isValid () {
    return !!vulns[this.id]
  }
}

;['cve', 'ref', 'vulnerable', 'patched', 'description',
  'overview', 'author', 'cvss', 'cvss_score'].forEach(getter => {
  Vulnerability.prototype.__defineGetter__(getter, function () {
    return (vulns[this.id] || {})[getter]
  })
})

module.exports = Vulnerability
